Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS1jZjNxLXZnOHctbXc4NM4AA9Tl

Apache StreamPipes: Use of Cryptographically Weak Pseudo-Random Number Generator (PRNG) in Recovery Token Generation

Use of Cryptographically Weak Pseudo-Random Number Generator (PRNG) vulnerability in Apache StreamPipes user self-registration and password recovery mechanism.
This allows an attacker to guess the recovery token in a reasonable time and thereby to take over the attacked user's account.
This issue affects Apache StreamPipes: from 0.69.0 through 0.93.0.

Users are recommended to upgrade to version 0.95.0, which fixes the issue.

Permalink: https://github.com/advisories/GHSA-cf3q-vg8w-mw84
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS1jZjNxLXZnOHctbXc4NM4AA9Tl
Source: GitHub Advisory Database
Origin: Unspecified
Severity: Critical
Classification: General
Published: 20 days ago
Updated: 11 days ago


CVSS Score: 9.1
CVSS vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:N

Identifiers: GHSA-cf3q-vg8w-mw84, CVE-2024-29868
References: Repository: https://github.com/apache/streampipes
Blast Radius: 7.1

Affected Packages

maven:org.apache.streampipes:streampipes-resource-management
Dependent packages: 2
Dependent repositories: 6
Downloads:
Affected Version Ranges: >= 0.69.0, < 0.95.0
Fixed in: 0.95.0
All affected versions: 0.69.0, 0.70.0, 0.90.0, 0.91.0, 0.92.0, 0.93.0
All unaffected versions: 0.95.0, 0.95.1